get-iplayer does not download expected program lists

Bug #1404682 reported by delliott on 2014-12-21
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
get-iplayer (Ubuntu)
Undecided
Unassigned

Bug Description

get-iplayer v2.83 in 14.04.1 LTS does not download the correct program list.

Expected behaviour:

A list of the programs that can be retrieved using get-iplayer.

Actual behaviour:

$get-iplayer

get_iplayer v2.83, Copyright (C) 2008-2010 Phil Lewis
  This program comes with ABSOLUTELY NO WARRANTY; for details use --warranty.
  This is free software, and you are welcome to redistribute it under certain
  conditions; use --conditions for details.

INFO: Getting tv Index Feeds
..................
Added: 1: BBC iPlayer Feeds - -, BBC Two, HD,Highlights,Popular, default,audiodescribed,signed,
Matches:
1: BBC iPlayer Feeds - -, BBC Two, HD,Highlights,Popular, default,audiodescribed,signed,

INFO: 1 Matching Programmes

Actual behaviour when using get_iplayer v2.90 from source:

$./get_iplayer

get_iplayer v2.90, Copyright (C) 2008-2010 Phil Lewis
  This program comes with ABSOLUTELY NO WARRANTY; for details use --warranty.
  This is free software, and you are welcome to redistribute it under certain
  conditions; use --conditions for details.

INFO: Getting tv Index Feeds (this may take a few minutes)
........................................
Added: 1: 12 Again: Series 2 - 13. Strictly Special, CBBC, Children's,Entertainment & Comedy, default
[snip]
2113: imagine... - Summer 2013: Rod Stewart: 3. Can't Stop Me Now, BBC One, Arts,Arts Culture & the Media,Factual, default

INFO: 2113 Matching Programmes

Phill (phill.l) wrote :

This is the case in trusty 14.04 which is a long-term support version, making it's continued use impractical for the full support period.

This software depends on compatibility with the BBC website changes in order to function properly, which is updated from time-to-time breaking get-iplayer. As nothing else really depends on get-iplayer and the options seem to be stable, I'd like to suggest keeping the package up-to-date with the latest version, rather than trying to hold is back at V2.83.

I also think this should be marked as a critical bug or something of high severity as the program fails outright and is unusable.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in get-iplayer (Ubuntu):
status: New → Confirmed
Jon Davies (jon-hedgerows) wrote :

As a workaround, users can use the ppa at
   https://launchpad.net/~jon-hedgerows/+archive/ubuntu/get-iplayer
which provides up to date packages for all current release of Ubuntu. I do realise that this doesn't provide the resolution that phill.l proposed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers